Package org.eclipse.birt.chart.model.component

# Interface Axis

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AxisImpl`

public interface Axis extends IChartObject
A representation of the model object 'Axis'. This type defines the basic elements that are expected in any axis. An axis refers to a line along the X, Y, or Z co-ordinate system used in the plot. It provides a point of reference for the various values plotted in each direction. This class can further be extended for special axis types.

The following features are supported:

- `Type`
- `Title`
- `Sub Title`
- `Title Position`
- `Associated Axes`
- `Ancillary Axes`
- `Series Definitions`
- `Gap Width`
- `Orientation`
- `Line Attributes`
- `Label`
- `Format Specifier`
- `Label Position`
- `Staggered`
- `Interval`
- `Marker Lines`
- `Marker Ranges`
- `Triggers`
- `Major Grid`
- `Minor Grid`
- `Scale`
- `Origin`
- `Primary Axis`
- `Category Axis`
- `Percent`
- `Label Within Axes`
- `Aligned`
- `Side By Side`
- `Cursor`
- `Label Span`
- `Axis Percent`

See Also:
  - `ComponentPackage.getAxis()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANCILLARY_BASE`
`static final int`
`BASE`
`static final int`
`ORTHOGONAL`

## Method Summary

Modifier and Type
Method
Description
`Axis`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Axis>`
`getAncillaryAxes()`
Returns the value of the 'Ancillary Axes' containment reference list.
`org.eclipse.emf.common.util.EList<Axis>`
`getAssociatedAxes()`
Returns the value of the 'Associated Axes' containment reference list.
`int`
`getAxisPercent()`
Returns the value of the 'Axis Percent' attribute.
`Cursor`
`getCursor()`
Returns the value of the 'Cursor' containment reference.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`double`
`getGapWidth()`
Returns the value of the 'Gap Width' attribute.
`int`
`getInterval()`
Returns the value of the 'Interval' attribute.
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`Position`
`getLabelPosition()`
Returns the value of the 'Label Position' attribute.
`double`
`getLabelSpan()`
Returns the value of the 'Label Span' attribute.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`Grid`
`getMajorGrid()`
Returns the value of the 'Major Grid' containment reference.
`org.eclipse.emf.common.util.EList<MarkerLine>`
`getMarkerLines()`
Returns the value of the 'Marker Lines' containment reference list.
`org.eclipse.emf.common.util.EList<MarkerRange>`
`getMarkerRanges()`
Returns the value of the 'Marker Ranges' containment reference list.
`Grid`
`getMinorGrid()`
Returns the value of the 'Minor Grid' containment reference.
`Orientation`
`getOrientation()`
Returns the value of the 'Orientation' attribute.
`AxisOrigin`
`getOrigin()`
Returns the value of the 'Origin' containment reference.
`Series[]`
`getRuntimeSeries()`
`Scale`
`getScale()`
Returns the value of the 'Scale' containment reference.
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.
`Label`
`getSubTitle()`
Returns the value of the 'Sub Title' containment reference.
`Label`
`getTitle()`
Returns the value of the 'Title' containment reference.
`Position`
`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`AxisType`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isAligned()`
Returns the value of the 'Aligned' attribute.
`boolean`
`isCategoryAxis()`
Returns the value of the 'Category Axis' attribute.
`boolean`
`isLabelWithinAxes()`
Returns the value of the 'Label Within Axes' attribute.
`boolean`
`isPercent()`
Returns the value of the 'Percent' attribute.
`boolean`
`isPrimaryAxis()`
Returns the value of the 'Primary Axis' attribute.
`boolean`
`isSetAligned()`
Returns whether the value of the '`Aligned`' attribute is set.
`boolean`
`isSetAxisPercent()`
Returns whether the value of the '`Axis Percent`' attribute is set.
`boolean`
`isSetCategoryAxis()`
Returns whether the value of the '`Category Axis`' attribute is set.
`boolean`
`isSetGapWidth()`
Returns whether the value of the ' `Gap Width`' attribute is set.
`boolean`
`isSetInterval()`
Returns whether the value of the '`Interval`' attribute is set.
`boolean`
`isSetLabelPosition()`
Returns whether the value of the '`Label Position`' attribute is set.
`boolean`
`isSetLabelSpan()`
Returns whether the value of the '`Label Span`' attribute is set.
`boolean`
`isSetLabelWithinAxes()`
Returns whether the value of the '`Label Within Axes`' attribute is set.
`boolean`
`isSetOrientation()`
Returns whether the value of the ' `Orientation`' attribute is set.
`boolean`
`isSetPercent()`
Returns whether the value of the '`Percent`' attribute is set.
`boolean`
`isSetPrimaryAxis()`
Returns whether the value of the ' `Primary Axis`' attribute is set.
`boolean`
`isSetSideBySide()`
Returns whether the value of the '`Side By Side`' attribute is set.
`boolean`
`isSetStaggered()`
Returns whether the value of the ' `Staggered`' attribute is set.
`boolean`
`isSetTitlePosition()`
Returns whether the value of the '`Title Position`' attribute is set.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`boolean`
`isSideBySide()`
Returns the value of the 'Side By Side' attribute.
`boolean`
`isStaggered()`
Returns the value of the 'Staggered' attribute.
`void`
`setAligned(boolean value)`
Sets the value of the '`Aligned`' attribute.
`void`
`setAxisPercent(int value)`
Sets the value of the '`Axis Percent`' attribute.
`void`
`setCategoryAxis(boolean value)`
Sets the value of the '`Category Axis`' attribute.
`void`
`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setGapWidth(double value)`
Sets the value of the '`Gap Width`' attribute.
`void`
`setInterval(int value)`
Sets the value of the '`Interval`' attribute.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLabelPosition(Position value)`
Sets the value of the ' `Label Position`' attribute.
`void`
`setLabelSpan(double value)`
Sets the value of the '`Label Span`' attribute.
`void`
`setLabelWithinAxes(boolean value)`
Sets the value of the '`Label Within Axes`' attribute.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setMajorGrid(Grid value)`
Sets the value of the '`Major Grid`' containment reference.
`void`
`setMinorGrid(Grid value)`
Sets the value of the '`Minor Grid`' containment reference.
`void`
`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.
`void`
`setOrigin(AxisOrigin value)`
Sets the value of the '`Origin`' containment reference.
`void`
`setPercent(boolean value)`
Sets the value of the '`Percent`' attribute.
`void`
`setPrimaryAxis(boolean value)`
Sets the value of the '`Primary Axis`' attribute.
`void`
`setScale(Scale value)`
Sets the value of the '`Scale`' containment reference.
`void`
`setSideBySide(boolean value)`
Sets the value of the '`Side By Side`' attribute.
`void`
`setStaggered(boolean value)`
Sets the value of the '`Staggered`' attribute.
`void`
`setSubTitle(Label value)`
Sets the value of the '`Sub Title`' containment reference.
`void`
`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.
`void`
`setTitlePosition(Position value)`
Sets the value of the ' `Title Position`' attribute.
`void`
`setType(AxisType value)`
Sets the value of the '`Type`' attribute.
`void`
`unsetAligned()`
Unsets the value of the '`Aligned`' attribute.
`void`
`unsetAxisPercent()`
Unsets the value of the '`Axis Percent`' attribute.
`void`
`unsetCategoryAxis()`
Unsets the value of the ' `Category Axis`' attribute.
`void`
`unsetGapWidth()`
Unsets the value of the '`Gap Width`' attribute.
`void`
`unsetInterval()`
Unsets the value of the '`Interval`' attribute.
`void`
`unsetLabelPosition()`
Unsets the value of the ' `Label Position`' attribute.
`void`
`unsetLabelSpan()`
Unsets the value of the '`Label Span`' attribute.
`void`
`unsetLabelWithinAxes()`
Unsets the value of the '`Label Within Axes`' attribute.
`void`
`unsetOrientation()`
Unsets the value of the '`Orientation`' attribute.
`void`
`unsetPercent()`
Unsets the value of the '`Percent`' attribute.
`void`
`unsetPrimaryAxis()`
Unsets the value of the '`Primary Axis`' attribute.
`void`
`unsetSideBySide()`
Unsets the value of the '`Side By Side`' attribute.
`void`
`unsetStaggered()`
Unsets the value of the '`Staggered`' attribute.
`void`
`unsetTitlePosition()`
Unsets the value of the ' `Title Position`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### BASE

static final int BASE

See Also:
  - Constant Field Values

### ORTHOGONAL

static final int ORTHOGONAL

See Also:
  - Constant Field Values

### ANCILLARY_BASE

static final int ANCILLARY_BASE

See Also:
  - Constant Field Values

## Method Details

### getType

AxisType getType()
Returns the value of the 'Type' attribute. The default value is `"Linear"`. The literals are from the enumeration `AxisType`. Returns the type of the axis. The type specifies the data that can be used by associated series. The expected types with the data type expected is as follows:

Linear
  Double
Logarithmic
  Double
Date/Time
  Calendar
Text
  String

Holds the type of Axis.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `AxisType`
  - `isSetType()`
  - `unsetType()`
  - `setType(AxisType)`
  - `ComponentPackage.getAxis_Type()`

### setType

void setType(AxisType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `AxisType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(AxisType)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(AxisType)`

### getTitle

Label getTitle()
Returns the value of the 'Title' containment reference. Gets the axis title. This is the element title.

Returns:
  the value of the 'Title' containment reference.
See Also:
  - `setTitle(Label)`
  - `ComponentPackage.getAxis_Title()`

### setTitle

void setTitle(Label value)
Sets the value of the '`Title`' containment reference.

Parameters:
  `value` - the new value of the 'Title' containment reference.
See Also:
  - `getTitle()`

### getSubTitle

Label getSubTitle()
Returns the value of the 'Sub Title' containment reference. This is the element subtitle.

Returns:
  the value of the 'Sub Title' containment reference.
See Also:
  - `setSubTitle(Label)`
  - `ComponentPackage.getAxis_SubTitle()`

### setSubTitle

void setSubTitle(Label value)
Sets the value of the '`Sub Title`' containment reference.

Parameters:
  `value` - the new value of the 'Sub Title' containment reference.
See Also:
  - `getSubTitle()`

### getTitlePosition

Position getTitlePosition()
Returns the value of the 'Title Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Specifies where the title for the axis should be displayed.

Returns:
  the value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `setTitlePosition(Position)`
  - `ComponentPackage.getAxis_TitlePosition()`

### setTitlePosition

void setTitlePosition(Position value)
Sets the value of the ' `Title Position`' attribute.

Parameters:
  `value` - the new value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `getTitlePosition()`

### unsetTitlePosition

void unsetTitlePosition()
Unsets the value of the ' `Title Position`' attribute.

See Also:
  - `isSetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### isSetTitlePosition

boolean isSetTitlePosition()
Returns whether the value of the '`Title Position`' attribute is set.

Returns:
  whether the value of the 'Title Position' attribute is set.
See Also:
  - `unsetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### getAssociatedAxes

org.eclipse.emf.common.util.EList<Axis> getAssociatedAxes()
Returns the value of the 'Associated Axes' containment reference list. The list contents are of type `Axis`. Gets the list of orthogonal axes associated with this axis. (This call only makes sence when made on Base axes.) Holds the value orthogonal axes associated with this axis.

Returns:
  the value of the 'Associated Axes' containment reference list.
See Also:
  - `ComponentPackage.getAxis_AssociatedAxes()`

### getAncillaryAxes

org.eclipse.emf.common.util.EList<Axis> getAncillaryAxes()
Returns the value of the 'Ancillary Axes' containment reference list. The list contents are of type `Axis`. Holds the value ancillary base axes associated with this axis.

Returns:
  the value of the 'Ancillary Axes' containment reference list.
See Also:
  - `ComponentPackage.getAxis_AncillaryAxes()`

### getSeriesDefinitions

org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()
Returns the value of the 'Series Definitions' containment reference list. The list contents are of type `SeriesDefinition`. Defines the source of the series.

Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `ComponentPackage.getAxis_SeriesDefinitions()`

### getGapWidth

double getGapWidth()
Returns the value of the 'Gap Width' attribute. Holds the spacing between the first (or last) series marker and the edge of the unit on the axis. This is specified as a percentage.

Returns:
  the value of the 'Gap Width' attribute.
See Also:
  - `isSetGapWidth()`
  - `unsetGapWidth()`
  - `setGapWidth(double)`
  - `ComponentPackage.getAxis_GapWidth()`

### setGapWidth

void setGapWidth(double value)
Sets the value of the '`Gap Width`' attribute.

Parameters:
  `value` - the new value of the 'Gap Width' attribute.
See Also:
  - `isSetGapWidth()`
  - `unsetGapWidth()`
  - `getGapWidth()`

### unsetGapWidth

void unsetGapWidth()
Unsets the value of the '`Gap Width`' attribute.

See Also:
  - `isSetGapWidth()`
  - `getGapWidth()`
  - `setGapWidth(double)`

### isSetGapWidth

boolean isSetGapWidth()
Returns whether the value of the ' `Gap Width`' attribute is set.

Returns:
  whether the value of the 'Gap Width' attribute is set.
See Also:
  - `unsetGapWidth()`
  - `getGapWidth()`
  - `setGapWidth(double)`

### getOrientation

Orientation getOrientation()
Returns the value of the 'Orientation' attribute. The default value is `"Horizontal"`. The literals are from the enumeration `Orientation`. Gets the orientation of the axis. This will be affected by the Orientation for the chart as a whole. Specifies the orientation of the Axis.

Returns:
  the value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `setOrientation(Orientation)`
  - `ComponentPackage.getAxis_Orientation()`

### setOrientation

void setOrientation(Orientation value)
Sets the value of the '`Orientation`' attribute.

Parameters:
  `value` - the new value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `getOrientation()`

### unsetOrientation

void unsetOrientation()
Unsets the value of the '`Orientation`' attribute.

See Also:
  - `isSetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### isSetOrientation

boolean isSetOrientation()
Returns whether the value of the ' `Orientation`' attribute is set.

Returns:
  whether the value of the 'Orientation' attribute is set.
See Also:
  - `unsetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specifies the formatting information for the axis line.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getAxis_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. Returns a Label instance that defines the properties to be used for all axis labels. A label instance to hold attributes for axis labels.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getAxis_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Specifies the formatting for axis labels.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getAxis_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### getLabelPosition

Position getLabelPosition()
Returns the value of the 'Label Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Specifies where the labels for the axis should be displayed.

Returns:
  the value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `isSetLabelPosition()`
  - `unsetLabelPosition()`
  - `setLabelPosition(Position)`
  - `ComponentPackage.getAxis_LabelPosition()`

### setLabelPosition

void setLabelPosition(Position value)
Sets the value of the ' `Label Position`' attribute.

Parameters:
  `value` - the new value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `isSetLabelPosition()`
  - `unsetLabelPosition()`
  - `getLabelPosition()`

### unsetLabelPosition

void unsetLabelPosition()
Unsets the value of the ' `Label Position`' attribute.

See Also:
  - `isSetLabelPosition()`
  - `getLabelPosition()`
  - `setLabelPosition(Position)`

### isSetLabelPosition

boolean isSetLabelPosition()
Returns whether the value of the '`Label Position`' attribute is set.

Returns:
  whether the value of the 'Label Position' attribute is set.
See Also:
  - `unsetLabelPosition()`
  - `getLabelPosition()`
  - `setLabelPosition(Position)`

### isStaggered

boolean isStaggered()
Returns the value of the 'Staggered' attribute. Specifies the position to be used for the labels. (Staggered/Straight)

Returns:
  the value of the 'Staggered' attribute.
See Also:
  - `isSetStaggered()`
  - `unsetStaggered()`
  - `setStaggered(boolean)`
  - `ComponentPackage.getAxis_Staggered()`

### setStaggered

void setStaggered(boolean value)
Sets the value of the '`Staggered`' attribute.

Parameters:
  `value` - the new value of the 'Staggered' attribute.
See Also:
  - `isSetStaggered()`
  - `unsetStaggered()`
  - `isStaggered()`

### unsetStaggered

void unsetStaggered()
Unsets the value of the '`Staggered`' attribute.

See Also:
  - `isSetStaggered()`
  - `isStaggered()`
  - `setStaggered(boolean)`

### isSetStaggered

boolean isSetStaggered()
Returns whether the value of the ' `Staggered`' attribute is set.

Returns:
  whether the value of the 'Staggered' attribute is set.
See Also:
  - `unsetStaggered()`
  - `isStaggered()`
  - `setStaggered(boolean)`

### getInterval

int getInterval()
Returns the value of the 'Interval' attribute. The default value is `"1"`. Specifies the showing interval for the labels.

Returns:
  the value of the 'Interval' attribute.
See Also:
  - `isSetInterval()`
  - `unsetInterval()`
  - `setInterval(int)`
  - `ComponentPackage.getAxis_Interval()`

### setInterval

void setInterval(int value)
Sets the value of the '`Interval`' attribute.

Parameters:
  `value` - the new value of the 'Interval' attribute.
See Also:
  - `isSetInterval()`
  - `unsetInterval()`
  - `getInterval()`

### unsetInterval

void unsetInterval()
Unsets the value of the '`Interval`' attribute.

See Also:
  - `isSetInterval()`
  - `getInterval()`
  - `setInterval(int)`

### isSetInterval

boolean isSetInterval()
Returns whether the value of the '`Interval`' attribute is set.

Returns:
  whether the value of the 'Interval' attribute is set.
See Also:
  - `unsetInterval()`
  - `getInterval()`
  - `setInterval(int)`

### getMarkerLines

org.eclipse.emf.common.util.EList<MarkerLine> getMarkerLines()
Returns the value of the 'Marker Lines' containment reference list. The list contents are of type `MarkerLine`. Defines a set of markers for positions on the axis scale displayed as lines across the plot at those locations.

Returns:
  the value of the 'Marker Lines' containment reference list.
See Also:
  - `ComponentPackage.getAxis_MarkerLines()`

### getMarkerRanges

org.eclipse.emf.common.util.EList<MarkerRange> getMarkerRanges()
Returns the value of the 'Marker Ranges' containment reference list. The list contents are of type `MarkerRange`. Defines a set of marker areas for a range of values on the axis displayed as filled rectangles extending across the plot between the start and end positions.

Returns:
  the value of the 'Marker Ranges' containment reference list.
See Also:
  - `ComponentPackage.getAxis_MarkerRanges()`

### getTriggers

org.eclipse.emf.common.util.EList<Trigger> getTriggers()
Returns the value of the 'Triggers' containment reference list. The list contents are of type `Trigger`. Holds the triggers for the axis.

Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getAxis_Triggers()`

### getMajorGrid

Grid getMajorGrid()
Returns the value of the 'Major Grid' containment reference. Defines the major grid associated with the axis.

Returns:
  the value of the 'Major Grid' containment reference.
See Also:
  - `setMajorGrid(Grid)`
  - `ComponentPackage.getAxis_MajorGrid()`

### setMajorGrid

void setMajorGrid(Grid value)
Sets the value of the '`Major Grid`' containment reference.

Parameters:
  `value` - the new value of the 'Major Grid' containment reference.
See Also:
  - `getMajorGrid()`

### getMinorGrid

Grid getMinorGrid()
Returns the value of the 'Minor Grid' containment reference. Defines the minor grid associated with the axis.

Returns:
  the value of the 'Minor Grid' containment reference.
See Also:
  - `setMinorGrid(Grid)`
  - `ComponentPackage.getAxis_MinorGrid()`

### setMinorGrid

void setMinorGrid(Grid value)
Sets the value of the '`Minor Grid`' containment reference.

Parameters:
  `value` - the new value of the 'Minor Grid' containment reference.
See Also:
  - `getMinorGrid()`

### getScale

Scale getScale()
Returns the value of the 'Scale' containment reference. Defines the scale for the axis.

Returns:
  the value of the 'Scale' containment reference.
See Also:
  - `setScale(Scale)`
  - `ComponentPackage.getAxis_Scale()`

### setScale

void setScale(Scale value)
Sets the value of the '`Scale`' containment reference.

Parameters:
  `value` - the new value of the 'Scale' containment reference.
See Also:
  - `getScale()`

### getOrigin

AxisOrigin getOrigin()
Returns the value of the 'Origin' containment reference. Specifies the location on the axis that should co-incide with the origin of the chart.

Returns:
  the value of the 'Origin' containment reference.
See Also:
  - `setOrigin(AxisOrigin)`
  - `ComponentPackage.getAxis_Origin()`

### setOrigin

void setOrigin(AxisOrigin value)
Sets the value of the '`Origin`' containment reference.

Parameters:
  `value` - the new value of the 'Origin' containment reference.
See Also:
  - `getOrigin()`

### isPrimaryAxis

boolean isPrimaryAxis()
Returns the value of the 'Primary Axis' attribute. Specifies whether or not this is a primary axis.

Returns:
  the value of the 'Primary Axis' attribute.
See Also:
  - `isSetPrimaryAxis()`
  - `unsetPrimaryAxis()`
  - `setPrimaryAxis(boolean)`
  - `ComponentPackage.getAxis_PrimaryAxis()`

### setPrimaryAxis

void setPrimaryAxis(boolean value)
Sets the value of the '`Primary Axis`' attribute.

Parameters:
  `value` - the new value of the 'Primary Axis' attribute.
See Also:
  - `isSetPrimaryAxis()`
  - `unsetPrimaryAxis()`
  - `isPrimaryAxis()`

### unsetPrimaryAxis

void unsetPrimaryAxis()
Unsets the value of the '`Primary Axis`' attribute.

See Also:
  - `isSetPrimaryAxis()`
  - `isPrimaryAxis()`
  - `setPrimaryAxis(boolean)`

### isSetPrimaryAxis

boolean isSetPrimaryAxis()
Returns whether the value of the ' `Primary Axis`' attribute is set.

Returns:
  whether the value of the 'Primary Axis' attribute is set.
See Also:
  - `unsetPrimaryAxis()`
  - `isPrimaryAxis()`
  - `setPrimaryAxis(boolean)`

### isCategoryAxis

boolean isCategoryAxis()
Returns the value of the 'Category Axis' attribute. Specifies whether or not this is a category axis.

Returns:
  the value of the 'Category Axis' attribute.
See Also:
  - `isSetCategoryAxis()`
  - `unsetCategoryAxis()`
  - `setCategoryAxis(boolean)`
  - `ComponentPackage.getAxis_CategoryAxis()`

### setCategoryAxis

void setCategoryAxis(boolean value)
Sets the value of the '`Category Axis`' attribute.

Parameters:
  `value` - the new value of the 'Category Axis' attribute.
See Also:
  - `isSetCategoryAxis()`
  - `unsetCategoryAxis()`
  - `isCategoryAxis()`

### unsetCategoryAxis

void unsetCategoryAxis()
Unsets the value of the ' `Category Axis`' attribute.

See Also:
  - `isSetCategoryAxis()`
  - `isCategoryAxis()`
  - `setCategoryAxis(boolean)`

### isSetCategoryAxis

boolean isSetCategoryAxis()
Returns whether the value of the '`Category Axis`' attribute is set.

Returns:
  whether the value of the 'Category Axis' attribute is set.
See Also:
  - `unsetCategoryAxis()`
  - `isCategoryAxis()`
  - `setCategoryAxis(boolean)`

### isPercent

boolean isPercent()
Returns the value of the 'Percent' attribute. Specifies whether or not this is a percentage axis.

Returns:
  the value of the 'Percent' attribute.
See Also:
  - `isSetPercent()`
  - `unsetPercent()`
  - `setPercent(boolean)`
  - `ComponentPackage.getAxis_Percent()`

### setPercent

void setPercent(boolean value)
Sets the value of the '`Percent`' attribute.

Parameters:
  `value` - the new value of the 'Percent' attribute.
See Also:
  - `isSetPercent()`
  - `unsetPercent()`
  - `isPercent()`

### unsetPercent

void unsetPercent()
Unsets the value of the '`Percent`' attribute.

See Also:
  - `isSetPercent()`
  - `isPercent()`
  - `setPercent(boolean)`

### isSetPercent

boolean isSetPercent()
Returns whether the value of the '`Percent`' attribute is set.

Returns:
  whether the value of the 'Percent' attribute is set.
See Also:
  - `unsetPercent()`
  - `isPercent()`
  - `setPercent(boolean)`

### isLabelWithinAxes

boolean isLabelWithinAxes()
Returns the value of the 'Label Within Axes' attribute. The default value is `"false"`. Specifies whether axis labels are within axes, i.e. inside the axis delimited area.

Returns:
  the value of the 'Label Within Axes' attribute.
See Also:
  - `isSetLabelWithinAxes()`
  - `unsetLabelWithinAxes()`
  - `setLabelWithinAxes(boolean)`
  - `ComponentPackage.getAxis_LabelWithinAxes()`

### setLabelWithinAxes

void setLabelWithinAxes(boolean value)
Sets the value of the '`Label Within Axes`' attribute.

Parameters:
  `value` - the new value of the 'Label Within Axes' attribute.
See Also:
  - `isSetLabelWithinAxes()`
  - `unsetLabelWithinAxes()`
  - `isLabelWithinAxes()`

### unsetLabelWithinAxes

void unsetLabelWithinAxes()
Unsets the value of the '`Label Within Axes`' attribute.

See Also:
  - `isSetLabelWithinAxes()`
  - `isLabelWithinAxes()`
  - `setLabelWithinAxes(boolean)`

### isSetLabelWithinAxes

boolean isSetLabelWithinAxes()
Returns whether the value of the '`Label Within Axes`' attribute is set.

Returns:
  whether the value of the 'Label Within Axes' attribute is set.
See Also:
  - `unsetLabelWithinAxes()`
  - `isLabelWithinAxes()`
  - `setLabelWithinAxes(boolean)`

### isAligned

boolean isAligned()
Returns the value of the 'Aligned' attribute. The default value is `"false"`. Specifies whether the zero point of this axis is to be aligned with other axes whose "Aligned" is true.

Returns:
  the value of the 'Aligned' attribute.
See Also:
  - `isSetAligned()`
  - `unsetAligned()`
  - `setAligned(boolean)`
  - `ComponentPackage.getAxis_Aligned()`

### setAligned

void setAligned(boolean value)
Sets the value of the '`Aligned`' attribute.

Parameters:
  `value` - the new value of the 'Aligned' attribute.
See Also:
  - `isSetAligned()`
  - `unsetAligned()`
  - `isAligned()`

### unsetAligned

void unsetAligned()
Unsets the value of the '`Aligned`' attribute.

See Also:
  - `isSetAligned()`
  - `isAligned()`
  - `setAligned(boolean)`

### isSetAligned

boolean isSetAligned()
Returns whether the value of the '`Aligned`' attribute is set.

Returns:
  whether the value of the 'Aligned' attribute is set.
See Also:
  - `unsetAligned()`
  - `isAligned()`
  - `setAligned(boolean)`

### isSideBySide

boolean isSideBySide()
Returns the value of the 'Side By Side' attribute. The default value is `"false"`. Specifies whether the data points of this axis is to be placed side by side instead of overlayed with those of other axes whose "SideBySide" is true.

Returns:
  the value of the 'Side By Side' attribute.
See Also:
  - `isSetSideBySide()`
  - `unsetSideBySide()`
  - `setSideBySide(boolean)`
  - `ComponentPackage.getAxis_SideBySide()`

### setSideBySide

void setSideBySide(boolean value)
Sets the value of the '`Side By Side`' attribute.

Parameters:
  `value` - the new value of the 'Side By Side' attribute.
See Also:
  - `isSetSideBySide()`
  - `unsetSideBySide()`
  - `isSideBySide()`

### unsetSideBySide

void unsetSideBySide()
Unsets the value of the '`Side By Side`' attribute.

See Also:
  - `isSetSideBySide()`
  - `isSideBySide()`
  - `setSideBySide(boolean)`

### isSetSideBySide

boolean isSetSideBySide()
Returns whether the value of the '`Side By Side`' attribute is set.

Returns:
  whether the value of the 'Side By Side' attribute is set.
See Also:
  - `unsetSideBySide()`
  - `isSideBySide()`
  - `setSideBySide(boolean)`

### getCursor

Cursor getCursor()
Returns the value of the 'Cursor' containment reference. The element represents a cursor for axis area.

Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `setCursor(Cursor)`
  - `ComponentPackage.getAxis_Cursor()`

### setCursor

void setCursor(Cursor value)
Sets the value of the '`Cursor`' containment reference.

Parameters:
  `value` - the new value of the 'Cursor' containment reference.
See Also:
  - `getCursor()`

### getLabelSpan

double getLabelSpan()
Returns the value of the 'Label Span' attribute. Give the user a way to customize a fixed thickness of axis label. Span means width for vertical axis, and height for horizontal axis. By default, this value is unset.

Returns:
  the value of the 'Label Span' attribute.
See Also:
  - `isSetLabelSpan()`
  - `unsetLabelSpan()`
  - `setLabelSpan(double)`
  - `ComponentPackage.getAxis_LabelSpan()`

### setLabelSpan

void setLabelSpan(double value)
Sets the value of the '`Label Span`' attribute.

Parameters:
  `value` - the new value of the 'Label Span' attribute.
See Also:
  - `isSetLabelSpan()`
  - `unsetLabelSpan()`
  - `getLabelSpan()`

### unsetLabelSpan

void unsetLabelSpan()
Unsets the value of the '`Label Span`' attribute.

See Also:
  - `isSetLabelSpan()`
  - `getLabelSpan()`
  - `setLabelSpan(double)`

### isSetLabelSpan

boolean isSetLabelSpan()
Returns whether the value of the '`Label Span`' attribute is set.

Returns:
  whether the value of the 'Label Span' attribute is set.
See Also:
  - `unsetLabelSpan()`
  - `getLabelSpan()`
  - `setLabelSpan(double)`

### getAxisPercent

int getAxisPercent()
Returns the value of the 'Axis Percent' attribute. This field indicates this axis will use what percent size of chart plot height if the AxesStudyLayout of ChartWithAxes is true. The value of this field is just a number, not a percent value. The actual percent value will be computed by dividing total numbers of all axes.

Returns:
  the value of the 'Axis Percent' attribute.
See Also:
  - `isSetAxisPercent()`
  - `unsetAxisPercent()`
  - `setAxisPercent(int)`
  - `ComponentPackage.getAxis_AxisPercent()`

### setAxisPercent

void setAxisPercent(int value)
Sets the value of the '`Axis Percent`' attribute.

Parameters:
  `value` - the new value of the 'Axis Percent' attribute.
See Also:
  - `isSetAxisPercent()`
  - `unsetAxisPercent()`
  - `getAxisPercent()`

### unsetAxisPercent

void unsetAxisPercent()
Unsets the value of the '`Axis Percent`' attribute.

See Also:
  - `isSetAxisPercent()`
  - `getAxisPercent()`
  - `setAxisPercent(int)`

### isSetAxisPercent

boolean isSetAxisPercent()
Returns whether the value of the '`Axis Percent`' attribute is set.

Returns:
  whether the value of the 'Axis Percent' attribute is set.
See Also:
  - `unsetAxisPercent()`
  - `getAxisPercent()`
  - `setAxisPercent(int)`

### getRuntimeSeries

Series[] getRuntimeSeries()

Returns:
  All runtime series associated with a particular axis

### copyInstance

Axis copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`